local createCompositionsol_1 = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/09_doctor/main/anim/z_table/"
---------------------------------------------------------------------------------------
function Loader_09_Zoom_Table_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionsol_1,		                'action',		        0,0, 30, 320,240, false),
		},
		{
			function (element, textureName)
				if textureName == "cikl_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(48)
					anim:SetTextureRect(0,0,14,56)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionsol_1 = function()
	local compositionsol_1 = CreateCompositionSequence()
	local compositionDuration = 3.5
	compositionsol_1:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."cikl_[].png")
	element:SetName("Layer_1")
	compositionsol_1:AddElement(element)
	element:SetHotSpot(6, 0.79999999999961)
	compositionsol_1:RegisterParentInfo("Layer_1", "Layer_5")
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.79166666666667, 3.5)
	effector:SetKey(_TRACK_X, 1, 123.16209414694)
	effector:SetKey(_TRACK_Y, 1, 24.17617901247)
	effector:SetKey(_TRACK_X, 1.875, 123.16209414694)
	effector:SetKey(_TRACK_Y, 1.875, 24.17617901247)
	effector:SetKey(_TRACK_X, 2.375, 123.16209414694)
	effector:SetKey(_TRACK_Y, 2.375, 24.17617901247)
	effector:SetKey(_TRACK_X, 2.58333333333333, 123.16209414694)
	effector:SetKey(_TRACK_Y, 2.58333333333333, 24.17617901247)
	effector:SetKey(_TRACK_X, 3.125, 123.16209414694)
	effector:SetKey(_TRACK_Y, 3.125, 24.17617901247)
	effector:SetKey(_TRACK_SX, 0.79166666666667, 0.38804797951553)
	effector:SetKey(_TRACK_SY, 0.79166666666667, 0.04626248721767)
	effector:SetKey(_TRACK_SX, 1, 2)
	effector:SetKey(_TRACK_SY, 1, 2.5)
	effector:SetKey(_TRACK_SX, 1.875, 2)
	effector:SetKey(_TRACK_SY, 1.875, 2.5)
	effector:SetKey(_TRACK_SX, 2.125, -0.04558637153612)
	effector:SetKey(_TRACK_SY, 2.125, 0.02631492268681)
	effector:SetKey(_TRACK_SX, 2.375, -0.04558637153612)
	effector:SetKey(_TRACK_SY, 2.375, 0.02631492268681)
	effector:SetKey(_TRACK_SX, 2.58333333333333, 2)
	effector:SetKey(_TRACK_SY, 2.58333333333333, 2.5)
	effector:SetKey(_TRACK_SX, 3.125, 2)
	effector:SetKey(_TRACK_SY, 3.125, 2.5)
	effector:SetKey(_TRACK_SX, 3.41666666666667, 0.29206344045947)
	effector:SetKey(_TRACK_SY, 3.41666666666667, 0.10086447993939)
	effector:SetKey(_TRACK_A, 0.79166666666667, -1.46494563627719)
	effector:SetKey(_TRACK_A, 0.875, -1.65068200049319)
	effector:SetKey(_TRACK_A, 1, -1.64442082014511)
	effector:SetKey(_TRACK_A, 1.875, -1.64442082014511)
	effector:SetKey(_TRACK_A, 2.04166666666667, -0.97772370224418)
	effector:SetKey(_TRACK_A, 2.125, -0.67965107139843)
	effector:SetKey(_TRACK_A, 2.375, -0.67965107139843)
	effector:SetKey(_TRACK_A, 2.41666666666667, -1.50137033273556)
	effector:SetKey(_TRACK_A, 2.5, -1.74191597807069)
	effector:SetKey(_TRACK_A, 2.58333333333333, -1.75846348107926)
	effector:SetKey(_TRACK_A, 3.125, -1.75846348107926)
	effector:SetKey(_TRACK_A, 3.41666666666667, -0.6538326840614)
	effector:SetKey(_TRACK_O, 3.125, 1)
	effector:SetKey(_TRACK_O, 3.41666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."z_table_garden_pruner_water.png")
	element:SetName("Layer_2")
	compositionsol_1:AddElement(element)
	element:SetHotSpot(142, 73)
	element:SetParentElement(compositionsol_1)
	element:SetXY(208, 340)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.5)
	effector:SetKey(_TRACK_O, 2.58333333333333, 0)
	effector:SetKey(_TRACK_O, 3.125, 1)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."z_table_nail_water.png")
	element:SetName("Layer_3")
	compositionsol_1:AddElement(element)
	element:SetHotSpot(108, 45)
	element:SetParentElement(compositionsol_1)
	element:SetXY(331, 187)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.5)
	effector:SetKey(_TRACK_O, 1, 0)
	effector:SetKey(_TRACK_O, 1.875, 1)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."bottle_voda.png")
	element:SetName("Layer_4")
	compositionsol_1:AddElement(element)
	element:SetHotSpot(93, 150)
	compositionsol_1:RegisterParentInfo("Layer_4", "Layer_5")
	element:SetXY(93, 149)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.5)
	effector:SetKey(_TRACK_O, 3.125, 1)
	effector:SetKey(_TRACK_O, 3.41666666666667, 0)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."bottle_empty_bez_teni.png")
	element:SetName("Layer_5")
	compositionsol_1:AddElement(element)
	element:SetHotSpot(116, 31)
	element:SetParentElement(compositionsol_1)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3.5)
	effector:SetKey(_TRACK_X, 0, 115)
	effector:SetKey(_TRACK_Y, 0, 38)
	effector:SetKey(_TRACK_X, 0.875, 273)
	effector:SetKey(_TRACK_Y, 0.875, 89)
	effector:SetKey(_TRACK_X, 1.875, 273)
	effector:SetKey(_TRACK_Y, 1.875, 89)
	effector:SetKey(_TRACK_X, 2.125, 203)
	effector:SetKey(_TRACK_Y, 2.125, 50)
	effector:SetKey(_TRACK_X, 2.5, 167)
	effector:SetKey(_TRACK_Y, 2.5, 204)
	effector:SetKey(_TRACK_X, 3.125, 167)
	effector:SetKey(_TRACK_Y, 3.125, 204)
	effector:SetKey(_TRACK_X, 3.41666666666667, 172)
	effector:SetKey(_TRACK_Y, 3.41666666666667, 36)
	effector:SetKey(_TRACK_SX, 2.125, 1)
	effector:SetKey(_TRACK_SY, 2.125, 1)
	effector:SetKey(_TRACK_SX, 2.5, 1.15)
	effector:SetKey(_TRACK_SY, 2.5, 1.15)
	effector:SetKey(_TRACK_SX, 3.125, 1.15)
	effector:SetKey(_TRACK_SY, 3.125, 1.15)
	effector:SetKey(_TRACK_SX, 3.41666666666667, 1)
	effector:SetKey(_TRACK_SY, 3.41666666666667, 1)
	effector:SetKey(_TRACK_A, 0, 0)
	effector:SetKey(_TRACK_A, 0.875, 1.69156608170244)
	effector:SetKey(_TRACK_A, 1.875, 1.69156608170244)
	effector:SetKey(_TRACK_A, 2.125, 0.711560132583)
	effector:SetKey(_TRACK_A, 2.5, 1.76479833427286)
	effector:SetKey(_TRACK_A, 3.125, 1.76479833427286)
	effector:SetKey(_TRACK_A, 3.41666666666667, 0.711560132583)
	effector:SetKey(_TRACK_O, 3.125, 1)
	effector:SetKey(_TRACK_O, 3.41666666666667, 0.02)
	effector:Play()
 
	compositionsol_1:Play()
 
	return compositionsol_1
end
 
